Quassel IRC - Bug #1900

Unable to use quassel to core on local network on macOS 15

12/25/2024 12:27 PM - reedy

Status: Closed Start date: 12/25/2024
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Version: 0.14.0 0S: Mac OS X
Description

macOS 15 seems to put restrictions on apps accessing devices on the local network, giving a popup to allow access.

There doesn't seem to be a way to manually allow an app (which feels like an oversight), and Quassel doesn't currently request the

necessary permissions.

Which means | can't currently use my locally hosted quassel bouncer (as is)...

https://apple.stackexchange.com/questions/475737/how-can-i-manually-allow-local-network-access-for-an-app

The developer would have to update the app with a "multicast entitlement” so that it can be granted access by the user.

https://developer.apple.com/forums/thread/663875

History

#1 - 12/31/2024 10:21 PM - reedy
- File Screenshot 2024-12-31 at 21.20.27.png added
Screenshot 2024-12-31 at 21.20.27.png
Or is it just macos being useless... And didn't show me this before?
After a reboot, it did... and it's working now...
#2 - 01/02/2025 04:11 AM - genius3000

- Status changed from New to Closed

- OS changed from Any to Mac OS X
